// A received base model
class Base<T> {
  String errorText;
  String successText;

  // Check if the response has error by verify the text.
  bool hasError() {
    if (errorText != null && errorText != '') {
      return true;
    }
    return false;
  }

  bool hasSuccess() {
    if (successText != null && successText != '') {
      return true;
    }
    return false;
  }

  Base();

  Base.fromJson(Map<String, dynamic> json) {
    errorText = json['error_text'];
    successText = json['success_text'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['error_text'] = this.errorText;
    data['success_text'] = this.successText;
    return data;
  }
}
