import 'base.dart';
import 'premium_subscription.dart';

class PremiumSubscriptionRes extends Base {
  bool premium;
  PremiumSubscription subscription;

  PremiumSubscriptionRes({this.premium, this.subscription});

  PremiumSubscriptionRes.fromJson(Map<String, dynamic> json) {
    premium = json['premium'];
    subscription = json['subscription'] != null
        ? new PremiumSubscription.fromJson(json['subscription'])
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['premium'] = this.premium;
    if (this.subscription != null) {
      data['subscription'] = this.subscription.toJson();
    }
    return data;
  }
}